Create transaction

Create a new transaction. The response contains the transaction id and a hosted URL that the end-user can be redirected to in order to complete the transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
url
required
length ≤ 255

The URL the end-user will be redirected to after completing the transaction. The transactionId and state are appended as query parameters, e.g. https://example.com/transaction/return?transactionId=b3e1c8f2-3a9d-4f4f-8b1a-1c2d3e4f5a6b&state=success.

url
length ≤ 255

Updates regarding the transaction will be sent to the callback URL. It must begin with https://.

string
enum
Defaults to en-US

Supported locales for the hosted transaction UI:

  • nl-NL - Dutch
  • en-US - English
  • fr-FR - French
  • de-DE - German
  • hu-HU - Hungarian
  • it-IT - Italian
  • ja-JP - Japanese
  • pl-PL - Polish
  • pt-PT - Portuguese
  • ro-RO - Romanian
  • sk-SK - Slovakian
  • es-ES - Spanish
requestedFields
array of objects
required
length ≥ 1

The list of fields to collect from the end-user during the transaction. The collected values are returned via the data property once the transaction is successful.

requestedFields*

Requested field description:

  • givenName - The end-user's given name(s).
  • middleName - The end-user's middle name(s).
  • familyName - The end-user's family name.
  • gender - The end-user's gender.
  • birthdate - The end-user's date of birth.
  • email - The end-user's email address.
  • phoneNumber - The end-user's phone number.
  • address - The end-user's address.
  • nationality - The end-user's nationality.
  • identifier - A stable user identifier that is unique per identification method. Not available for all methods.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json